## org.pentaho.reporting.libraries.formula.typing
Class StaticArrayCallback

    java.lang.Object
      org.pentaho.reporting.libraries.formula.typing.StaticArrayCallback

All Implemented Interfaces:
  ArrayCallback

    public class StaticArrayCallback

extends java.lang.Object
implements ArrayCallback

An array call-back that copies all contents of the source into a private buffer.

Author:
  Thomas Morgner

Constructor Summary
`StaticArrayCallback(ArrayCallback source)`

Method Summary
`int` `getColumnCount()`
`LValue` `getRaw(int row, int column)`
`int` `getRowCount()`
`Type` `getType(int row, int column)`
`java.lang.Object` `getValue(int row, int column)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StaticArrayCallback

    public StaticArrayCallback(ArrayCallback source)
                        throws EvaluationException

Throws:
  `EvaluationException`

Method Detail

### getRaw

    public LValue getRaw(int row,
                         int column)
                  throws EvaluationException

  Specified by:
    `getRaw` in interface `ArrayCallback`
  Throws:
    `EvaluationException`

### getValue

    public java.lang.Object getValue(int row,
                                     int column)
                              throws EvaluationException

  Specified by:
    `getValue` in interface `ArrayCallback`
  Throws:
    `EvaluationException`

### getType

    public Type getType(int row,
                        int column)
                 throws EvaluationException

  Specified by:
    `getType` in interface `ArrayCallback`
  Throws:
    `EvaluationException`

### getColumnCount

    public int getColumnCount()

  Specified by:
    `getColumnCount` in interface `ArrayCallback`

### getRowCount

    public int getRowCount()

  Specified by:
    `getRowCount` in interface `ArrayCallback`